{
  description = "Terraform + Proxmox Dev Shell";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs {
          inherit system;
          config.allowUnfree = true;
        };
      in {
        devShells.default = pkgs.mkShell {
          name = "terraform-proxmox-env";

          buildInputs = [
            pkgs.terraform
            pkgs.curl       # for debugging Proxmox API
            pkgs.jq         # useful for handling JSON responses
            pkgs.git
          ];

          shellHook = ''
            fish
            echo "🌱 Terraform + Proxmox dev shell ready"
            echo "→ Run 'terraform init' in your terraform/ directory"
          '';
        };
      });
}

